/**************************************************************************
* basicdef.cpp                                                            *
*                                                                         *
* Interface:  basicdef.h                                                  *
* Implements: tohexstr()                                                  *
*             strscanfirst()                                              *
*             strscanlast()                                               *
*             strcatchr()                                                 *
**************************************************************************/

#include <stdlib.h>
#include <time.h>
#include <string.h>
//#include <cstring.h>
#include "basicdef.h"

/**************************************************************************
* void tohexstr(char *dest, int num, int width)                           *
*                                                                         *
* Converts the number num to hexdecimal base and places it in dest.       *
* The result is then padded with zeros the width characters.              *
**************************************************************************/
void tohexstr(char *dest, int num, int width)
{
	char *res = new char[5];
	itoa(num,res,16);
	char *temp = new char[5];
	strcpy(temp,"0000");		// Make sure size characters is used even when the
	strcat(temp,res);	  		// number itself occupies less, pad with zeros
	delete res;
	while(strlen(temp) > width)	// Only allow size characters length
		temp++;
	strcat(dest,temp);
	delete temp;
}

/**************************************************************************
* void replace(const char *src, char *dest, const char *replwhat,         *
*    const char *replwith)                                                *
*                                                                         *
* Replaces all occurences of replwhat with replwith in src and places the *
* result in dest. Since this function uses the BC++ 4.0 class string I've *
* chosen to comment this out and use another (and faster) solution to     *
* do the same thing at the places I neede replace().                      *
**************************************************************************/
/*void replace(const char *src, char *dest, const char *replwhat,
	const char *replwith)
{
	string s = string(src);
	size_t index;
	while ((index = s.find(replwhat)) != NPOS)
		s = s.replace(index,strlen(replwhat),string(replwith));
	strcpy(dest,s.c_str());
}*/

/**************************************************************************
* int strscanfirst(char *s, char c)                                       *
*                                                                         *
* Returns the (zero-based) index of the first occurence of c in s.        *
**************************************************************************/
int strscanfirst(char *s, char c)
{
	for(int i=0;i<strlen(s);i++)
		if(s[i] == c)
			return i;
	return -1;
}

/**************************************************************************
* int strscanlast(char *s, char c)                                        *
*                                                                         *
* Returns the (zero-based) index of the last occurence of c in s.         *
**************************************************************************/
int strscanlast(char *s, char c)
{
	for(int i=(strlen(s)-1);i>=0;i--)
		if(s[i] == c)
			return i;
	return -1;
}

/**************************************************************************
* void strcatchr(char *s, char c)                                         *
*                                                                         *
* Concatenates the character c to s.                                      *
**************************************************************************/
void strcatchr(char *s, char c)
{
	char temp[2] = "\0\0";
	temp[0] = c;
	strcat(s,temp);
}
