/**************************************************************************
* cursors.cpp                                                             *
*                                                                         *
* Interface:  cursors.h                                                   *
* Implements: showcursor()                                                *
*             hidecursor()                                                *
**************************************************************************/

#include "cursors.h"

/*

Converted from Turbo Pascal:

procedure ShowCursor; assembler;
asm
	mov cx, 0607h
	mov ah, 1
	int 10h
end;

procedure HideCursor; assembler;
asm
	mov cx, 2000h
	mov ah, 1
	int 10h
end;

*/

/**************************************************************************
* void showcursor()                                                       *
*                                                                         *
* Shows the cursor after it has been made invisible.                      *
**************************************************************************/
void showcursor()
{
	asm
	{
		mov cx, 0x0607
		mov ah, 1
		int 0x10
	}
}

/**************************************************************************
* void hidecursor()                                                       *
*                                                                         *
* Hides the text cursor                                                   *
**************************************************************************/
void hidecursor()
{
	asm
	{
		mov cx, 0x2000
		mov ah, 1
		int 0x10
	}
}
