/**************************************************************************
* dclasses.cpp                                                            *
*                                                                         *
* Interface:  dclasses.h                                                  *
* Implements: dcGetVersion()                                              *
*             dcGetErrorMessageString()                                   *
**************************************************************************/

#include <string.h>
#include "output.h"
#include "dclasses.h"

/**************************************************************************
* char *dcGetVersion()                                                    *
*                                                                         *
* Returns the library name and version. It's computed as                  *
* 0.<month>.<dayofmonth>. The month is based on  November 1996, thus      *
* 'dClasses v0.3.17' means the January 17th 1997 release of dClasses.     *
**************************************************************************/
char *dcGetVersion()
{
	return "dClasses v0.4.27\0";
}

/**************************************************************************
* char *dcGetErrorMessageString(fileerror err)                            *
*                                                                         *
* Returns a string literal describing the error err. Returns an empty     *
* string if err = OK, i.e. no error.                                      *
**************************************************************************/
char *dcGetErrorMessageString(fileerror err)
{
	char *temp = "\0";
	switch(err)
	{
		case NOFILENAME: 	strcpy(temp,"No filename was specified"); break;
		case OPENERROR: 	strcpy(temp,"Error opening file"); break;
		case CLOSEERROR:	strcpy(temp,"Error closing file"); break;
		case WRITEERROR:	strcpy(temp,"Error writing to file"); break;
		case READERROR:	strcpy(temp,"Error reading file"); break;
		case NOTOPEN:		strcpy(temp,"File not open"); break;
		case ALREADYOPEN:	strcpy(temp,"File is already open"); break;
		case OTHERERROR:	strcpy(temp,"Error creating document"); break;
		default:				strcpy(temp,""); break;
	}
	return temp;
}
