/**************************************************************************
* hlpfile.cpp                                                             *
*                                                                         *
* Interface:  hlpfile.h                                                   *
* Implements: TDCHelpFileSource                                           *
*                                                                         *
* See also document.cpp and rtfdoc.h for additional comments              *
* of common methods.                                                      *
**************************************************************************/

#include "hlpfile.h"

fileerror TDCHelpFileSource::PutLink(char *LinkText, char *LinkTo)
{
	SetUnderline(DOUBLE);
	PutText(LinkText);
	SetUnderline(NONE);
	SetHidden(TRUE);
	PutText(LinkTo);
	SetHidden(FALSE);
	return FOut->GetResult();
}

int TDCHelpFileSource::GetIdent()
{
	return DT_WINHELP;
}

fileerror TDCHelpFileSource::NewTopic(char *TopicTitle, char *TopicName)
{
	PageBreak();
	PutPhysical("{\\*\\footnote {\\up6 #}");
	PutPhysical(TopicName);
	PutPhysical("}");
	SetStyleSheet(SS_HEADING1);
	PutText(TopicTitle);
	SetStyleSheet(SS_NORMAL);
	return FOut->GetResult();
}
