/**************************************************************************
* msdos7.cpp                                                              *
*                                                                         *
* Interface:  msdos7.h                                                    *
* Implements: LFNRename()                                                 *
*             LFNErase()                                                  *
**************************************************************************/

#include "msdos7.h"

/*

Converted from Turbo Pascal:

function LRename(OldFilename,NewFilename:pchar):word; assembler;
asm
 push ds
 lds dx,OldFilename
 les di,NewFilename
 mov ax,7156h
 int 21h
 pop ds
 sbb bx,bx
 and ax,bx
 mov [DosError],ax
end;

function LErase(Filename:pchar):word; assembler;
asm
 push ds
 lds dx,Filename
 mov ax,7141h
 int 21h
 pop ds
 sbb bx,bx
 and ax,bx
 mov [DosError],ax
end;

*/

/**************************************************************************
* unsigned int LFNRename(char *oldname, char *newname)                    *
*                                                                         *
* Renames a DOS file with VFAT support; both oldname and newname          *
* may conform to the long filename standard used in Windows 95,           *
* Windows NT 3.51 and later. The original Pascal function seen above was  *
* taken from the SWAG archives at http://www.gdsoft.com/swag/swag.html.   *
**************************************************************************/
unsigned int LFNRename(char *oldname, char *newname)
{
	unsigned int retval;
	asm
	{
		push ds
		lds dx,oldname
		les di,newname
		mov ax,0x7156
		int 0x21
		pop ds
		sbb bx,bx
		and ax,bx
		mov [retval],ax
	}
	return retval;
}


/**************************************************************************
* unsigned int LFNErase(char *filename)                                   *
*                                                                         *
* Erases the file with the long filename filename. Requires Windows 95,   *
* Windows NT 3.51 and later. The original Pascal function seen above was  *
* taken from the SWAG archives at http://www.gdsoft.com/swag/swag.html.   *
**************************************************************************/
unsigned int LFNErase(char *filename)
{
	unsigned int retval;
	asm
	{
		push ds
		lds dx,filename
		mov ax,0x7141
		int 0x21
		pop ds
		sbb bx,bx
		and ax,bx
		mov [retval],ax
	}
	return retval;
}

