/**************************************************************************
* output.cpp                                                              *
*                                                                         *
* Interface:  output.h                                                    *
* Implements: TOutput                                                     *
**************************************************************************/

#include <stdio.h>
#include "output.h"

// TOutput implementation

fileerror TOutput::Open(BOOL append)
{
	return FResult;
}

fileerror TOutput::Close()
{
	return FResult;
}

fileerror TOutput::Write(char *buf, unsigned int count)
{
	return FResult;
}

/**************************************************************************
* BOOL TOutput::StartCounter()                                            *
*                                                                         *
* Starts the byte output counter. Use counters when you want to know      *
* the exact number of bytes written to the output since the last line     *
* break. The counter should be updated by Write().                        *
**************************************************************************/
BOOL TOutput::StartCounter()
{
	BOOL temp = FCounterActive;
	FCounterActive = TRUE;
	return temp;
}

/**************************************************************************
* BOOL TOutput::StopCounter()                                             *
*                                                                         *
* Stops the byte output counter. The counter is not reset.                *
**************************************************************************/
BOOL TOutput::StopCounter()
{
	BOOL temp = FCounterActive;
	FCounterActive = FALSE;
	return temp;
}

/**************************************************************************
* BOOL TOutput::ResetCounter()                                            *
*                                                                         *
* Resets the byte output counter.                                         *
**************************************************************************/
void TOutput::ResetCounter()
{
	FCounter = 0;
}

/**************************************************************************
* BOOL TOutput::GetCounter()                                              *
*                                                                         *
* Get the current value of the byte output counter.                       *
**************************************************************************/
int TOutput::GetCounter()
{
	return FCounter;
}

char *TOutput::SetFilename(char *newname)
{
	return NULL;
}

char *TOutput::GetFilename()
{
	return NULL;
}

/**************************************************************************
* char TOutput::GetLastChar()                                             *
*                                                                         *
* Returns the last character written. FLastWritten should be              *
* updated by Write().                                                     *
**************************************************************************/
char TOutput::GetLastChar()
{
	return FLastWritten;
}

/**************************************************************************
* fileerror TOutput::GetResult()                                          *
*                                                                         *
* Returns the current error state.                                        *
**************************************************************************/
fileerror TOutput::GetResult()
{
	return FResult;
}

/**************************************************************************
* fileerror TOutput::GetResult()                                          *
*                                                                         *
* Sets the error state. If the value is not OK and the new is, the value  *
* will not change. With this approach, you can check at any time to see   *
* if there has been an error.                                             *
**************************************************************************/
fileerror TOutput::SetResult(fileerror NewResult)
{
	if(!NewResult)
		FResult = NewResult;
	return FResult;
}

TOutput::TOutput()
{
	FCounter = 0;
}

TOutput::~TOutput()
{

}
