#ifndef __OUTPUT_H

#include <stdio.h>
#include "basicdef.h"

typedef enum fileerror
{
	OK,
	NOFILENAME,
	OPENERROR,
	CLOSEERROR,
	WRITEERROR,
	READERROR,
	NOTOPEN,
	ALREADYOPEN,
	OTHERERROR,
	INVALIDSOCKET,
	TIMEOUT
};

class TOutput
{
	protected:
		int FCounter;
		BOOL FCounterActive; 		// Is the counter in use, should it be updated?
		fileerror FResult;			// The output error state
		char FLastWritten;			// The last character written
	public:
		virtual fileerror Open(BOOL append = FALSE);
		virtual fileerror Close();
		virtual fileerror Write(char *buf, unsigned count);
//*** Counter functions
		BOOL StartCounter();
		BOOL StopCounter();
		void ResetCounter();
		int GetCounter();
//*** Modfify the filename
		virtual char *SetFilename(char *newname);
		virtual char *GetFilename();
//*** Other methods
		char GetLastChar();
		fileerror GetResult();
		fileerror SetResult(fileerror NewResult);
//*** Public constructors and destructors
		TOutput();
		~TOutput();
};

#define __OUTPUT_H

#endif
